Subject: bug#12858: 24.3.50; Critical: advice broken

From: Stefan Monnier <[email-masked]>
Date: Wed, 14 Nov 2012 22:31:57 -0500

I've just installed a patch by Katsumi Yamaoka which might fix
this problem.
But please do use the `emacs-24' branch to help us debug Emacs-24.3.

        Stefan

>>>>> "Vitalie" == Vitalie Spinu <[email-masked]> writes:

>>> Stefan Monnier <[email-masked]>
>>> on Tue, 13 Nov 2012 17:31:48 -0500 wrote:

>>> ad-handle-definition(dired-find-buffer-nocreate)
>>> ad-activate(dired-find-buffer-nocreate)

SM> The order between those two indicates you're using the "before
SM> yesterday" code.  I installed  big change yesterday which should
SM> introduce all kinds of new bugs (and probably fixes this bug ;-).

> I am getting the following with today's trunk:

> Debugger entered--Lisp error: (wrong-type-argument listp t)
>   ad-parse-arglist(t)
>   ad-map-arglists(t t)
>   ad-make-advised-definition(org-clock-out)
>   ad-activate-advised-definition(org-clock-out nil)
>   ad-activate(org-clock-out nil)
>   (progn (ad-add-advice (quote org-clock-out) (quote (stack-clock-in nil t (advice lambda nil "Clock in tasks from `vs/clock-stack' on clock-out.\nClocking in the task removes t from `vs/clock-stack'.If the\nheader has :clock-ignore: tag it will be silently removed from\n`vs/clock-stack' with no clock-in." (let ((curr-clock-name org-clock-current-task) (curr-clock ...)) ad-do-it (unless org-clock-clocking-in (or ... ...)))))) (quote around) (quote nil)) (ad-activate (quote org-clock-out) nil) (quote org-clock-out))
>   eval-buffer(#<buffer  *load*-582069> nil "/home/vitoshka/Dropbox/.main/.eORG.el" nil t)  ; Reading at buffer position 13539
>   load-with-code-conversion("/home/vitoshka/Dropbox/.main/.eORG.el" "/home/vitoshka/Dropbox/.main/.eORG.el" nil nil)
>   load(".eORG.el")
>   (progn (package-initialize) (setq package-enable-at-startup nil) (require (quote eldoc-eval)) (global-set-key (kbd "M-x") (quote smex)) (global-set-key (kbd "M-X") (quote smex-major-mode-commands)) (paren-activate) (print "--> loading .eOTHER.el") (load ".eOTHER.el") (print "--> loading .eORG.el") (load ".eORG.el"))
>   (if (> emacs-major-version 23) (progn (package-initialize) (setq package-enable-at-startup nil) (require (quote eldoc-eval)) (global-set-key (kbd "M-x") (quote smex)) (global-set-key (kbd "M-X") (quote smex-major-mode-commands)) (paren-activate) (print "--> loading .eOTHER.el") (load ".eOTHER.el") (print "--> loading .eORG.el") (load ".eORG.el")))
>   (if (or (member "-b" command-line-args) (member "-ess" command-line-args)) nil (load custom-file) (setq package-user-dir "~/Dropbox/ELPA") (setq package-archives (quote (("gnu" . "http://elpa.gnu.org/packages/") ("marmalade" . "http://marmalade-repo.org/packages/") ("melpa" . "http://melpa.milkbox.net/packages/")))) (print "--> loading .eESS.el") (load ".eESS.el") (load "my-func.el") (if (> emacs-major-version 23) (progn (package-initialize) (setq package-enable-at-startup nil) (require (quote eldoc-eval)) (global-set-key (kbd "M-x") (quote smex)) (global-set-key (kbd "M-X") (quote smex-major-mode-commands)) (paren-activate) (print "--> loading .eOTHER.el") (load ".eOTHER.el") (print "--> loading .eORG.el") (load ".eORG.el"))) (cd "~/") (message "Startup took: %s" (- (float-time) (float-time before-init-time))))
>   eval-buffer(#<buffer  *load*> nil "/home/vitoshka/.emacs" nil t)  ; Reading at buffer position 27093
>   load-with-code-conversion("/home/vitoshka/.emacs" "/home/vitoshka/.emacs" t t)
>   load("~/.emacs" t t)
>   #[0 "\205\262

>     Vitalie